scala.tools.nsc.util

# ClassPath

#### abstract class ClassPath[T] extends AnyRef

Represents a package which contains classes and other packages

Source
  ClassPath.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
DeltaClassPath, DirectoryClassPath, JavaClassPath, MergedClassPath, SourcePath
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassPath
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ClassPath()

### Type Members

1. #### type AnyClassRep = ClassRep

2. #### case class ClassRep(binary: Option[T], source: Option[AbstractFile]) extends Product with Serializable

   Represents classes which can be loaded with a ClassfileLoader and/or SourcefileLoader.

### Abstract Value Members

1. #### abstract def asClasspathString: String

   The whole classpath in the form of one String.

2. #### abstract def asURLs: List[URL]

   A list of URLs representing this classpath.

3. #### abstract def classes: IndexedSeq[AnyClassRep]

   Lists of entities.

4. #### abstract def context: ClassPathContext[T]

   Info which should be propagated to any sub-classpaths.

5. #### abstract def name: String

   The short name of the package (without prefix)

6. #### abstract def packages: IndexedSeq[ClassPath[T]]

7. #### abstract def sourcepaths: IndexedSeq[AbstractFile]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ClassPath[T] to any2stringadd[ClassPath[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ClassPath[T], B)

   Implicit information
     This member is added by an implicit conversion from ClassPath[T] to ArrowAssoc[ClassPath[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ClassPath[T]) ⇒ Boolean, msg: ⇒ Any): ClassPath[T]

   Implicit information
     This member is added by an implicit conversion from ClassPath[T] to Ensuring[ClassPath[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ClassPath[T]) ⇒ Boolean): ClassPath[T]

   Implicit information
     This member is added by an implicit conversion from ClassPath[T] to Ensuring[ClassPath[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ClassPath[T]

    Implicit information
      This member is added by an implicit conversion from ClassPath[T] to Ensuring[ClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ClassPath[T]

    Implicit information
      This member is added by an implicit conversion from ClassPath[T] to Ensuring[ClassPath[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(that: Any): Boolean

    Definition Classes
      ClassPath → AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def findClass(name: String): Option[AnyClassRep]

    Find a ClassRep given a class name of the form "package.subpackage.ClassName".

    Find a ClassRep given a class name of the form "package.subpackage.ClassName". Does not support nested classes on .NET

16. #### def findClassFile(name: String): Option[AbstractFile]

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ClassPath[T] to StringFormat[ClassPath[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      ClassPath → AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def origin: Option[String]

    A String representing the origin of this classpath element, if known.

    A String representing the origin of this classpath element, if known. For example, the path of the directory or jar.

25. #### def sortString: String

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def validClassFile(name: String): Boolean

    Filters for assessing validity of various entities.

29. #### def validPackage(name: String): Boolean

30. #### def validSourceFile(name: String): Boolean

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (ClassPath[T], B)

    Implicit information
      This member is added by an implicit conversion from ClassPath[T] to ArrowAssoc[ClassPath[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClassPath[T] to any2stringadd[ClassPath[T]]

### Inherited by implicit conversion StringFormat from ClassPath[T] to StringFormat[ClassPath[T]]

### Inherited by implicit conversion Ensuring from ClassPath[T] to Ensuring[ClassPath[T]]

### Inherited by implicit conversion ArrowAssoc from ClassPath[T] to ArrowAssoc[ClassPath[T]]

### Ungrouped